Subject: Re: bug#29357: Cut and paste problems on Linux on a text virtual console no longer works

From: Stefan Kangas <[email-masked]>
Date: Sun, 16 Aug 2020 08:46:40 -0700

Hi Alan,

Alan Mackenzie <[email-masked]> writes:

> The problem with GPM and Emacs had been annoying me so much that I got
> into the GPM source code in early 2016 to try and fix it.  The conclusion
> I came to then was that the GPM mouse works in two exclusive incompatible
> ways: (i) it works on the virtual terminal; (ii) it works under the
> control of an application, such as Emacs.  These two modes don't interact
> with eachother.
>
> Unfortunately, I didn't note down any of the precise details in GPM, but
> the _only_ way to transfer text into or out of Emacs with GPM is first to
> do M-x gpm-mouse-mode (to disable "application" mode), followed by normal
> GPM operations on the screen.  I actually have gpm-mouse-mode disabled by
> default, since I don't need to use mouse facilities in Emacs.
>
> I did make a note about this in the Emacs manual on the page "Text-Only
> Mouse".
>
> There are several annoyances with this way of working - if you've got
> side-by-side windows, you've really got to get rid of all but the
> pertinent window before being able to mark text with the mouse; when you
> yank text in with the middle button, linefeeds misbehave, giving
> indentation where none is wanted.  For all that, having GPM is better
> than not having it.

This is very useful information, thank you.  If I understand you
correctly, this is a limitation in GPM, and not in Emacs.  Maybe some
interested party could report this as a feature request to GPM.

BTW, maybe someone could test and see if this works with some other
program that also splits the display to see if it has the same problem.

I suppose that means that this bug should be closed?  Or is there
anything more we should do?

Best regards,
Stefan Kangas